Dex - 路由
計算代幣兌換的最佳路由,考慮價格影響和手續費。回傳最優路徑和準備好的交易
curl --request POST \
--url https://api.chainstream.io/v2/dex/{chain}/route \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
'import requests
url = "https://api.chainstream.io/v2/dex/{chain}/route"
payload = {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": True,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dex: 'jupiter',
userAddress: 'oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7',
amount: '1000000000',
swapMode: 'ExactIn',
slippage: 5,
priorityFee: '1000',
inputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
outputMint: 'Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB',
recipientAddress: '0x0000000000000000000000000000000000000001',
permit: '66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9',
deadline: 1716806400000,
tipFee: '1000000',
isAntiMev: true,
maxFeePerGas: '50000000000',
maxPriorityFeePerGas: '2000000000',
gasPrice: '50000000000',
gasLimit: '300000'
})
};
fetch('https://api.chainstream.io/v2/dex/{chain}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": {
"dex": "jupiter",
"userAddress": "oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7",
"amount": "1000000000",
"swapMode": "ExactIn",
"slippage": 5,
"priorityFee": "1000",
"inputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outputMint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"recipientAddress": "0x0000000000000000000000000000000000000001",
"permit": "66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9",
"deadline": 1716806400000,
"tipFee": "1000000",
"isAntiMev": true,
"maxFeePerGas": "50000000000",
"maxPriorityFeePerGas": "2000000000",
"gasPrice": "50000000000",
"gasLimit": "300000"
},
"serializedTx": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=",
"routeInfo": {
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": [
"USDC",
"SOL"
]
},
"elapsedTime": 245,
"recentBlockhash": "JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP",
"lastValidBlockHeight": 416681972
}授權
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路徑參數
支援網路列表中的鏈名稱
sol, bsc, eth 主體
交易所使用的 DEX 標識符
jupiter, kyberswap, raydium, pumpfun, moonshot, candy, launchpad "jupiter"
發起交易的錢包公鑰
8 - 64"oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7"
兌換數量。使用 "auto" 表示全部餘額,或使用百分比如 "50%"
"1000000000"
兌換方向模式
ExactIn, ExactOut "ExactIn"
滑點容忍百分比
0 <= x <= 1005
優先費(SOL),用於提高交易處理速度
"1000"
輸入代幣鑄造地址
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
輸出代幣鑄造地址
"Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB"
兌換的接收錢包地址
"0x0000000000000000000000000000000000000001"
兌換的 Permit 資料
"66c85d1637257e890e581f724f69f4d4fc17eee156c0619c4719ed0c66eed0e9"
兌換截止時間戳
1716806400000
小費(SOL),用於提高交易處理速度
"1000000"
是否啟用防 MEV 保護
true
每 Gas 單位最大費用(EIP-1559),單位為 wei
"50000000000"
每 Gas 單位最大優先費(EIP-1559),單位為 wei
"2000000000"
Gas 價格,單位為 wei(傳統交易)
"50000000000"
交易 Gas 上限
"300000"
回應
原始兌換請求參數
Show child attributes
Show child attributes
Base64 編碼的交易
"AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA="
詳細路由資訊
{
"inAmount": "1000000000",
"outAmount": "985000000",
"priceImpact": "0.15",
"route": ["USDC", "SOL"]
}請求處理耗時(毫秒)
245
兌換交易的最近區塊哈希
"JE38e5sYDcpjcfuKA7Madpq8p3A4zc8UQuonCZDbn2yP"
兌換交易的最後有效區塊高度
416681972
這個頁面有幫助嗎?

